# Changelogs

`3/10/2023:` .net update\
\- Updated and tested API to use .net 8 and new deployment method.

`6/9/2023:` New endpoint\
\- Added /sfw/gif/laugh

`2/2/2023:` Fixes and improvements\
\- Gallery API now has better error messages and codes.\
\- Docs have been updated with gallery error codes.\
\- Added a few more checks to the API including seperate error messages if the auth header is missing or is empty to help developers.\
\- Minecraft server ping with an empty query parameter will now default to java aka port 25565 instead of an error.\
\- Done a few more tweaks to both main and gallery API to keep things standard and updated docs link on home request.

`25/1/2023:` Done a few fixes to improve stuff\
\- Updated Fluxpoint Website with fixed token creation and regen.\
\- Improved Main API and Gallery API with managing tokens.\
\- Added new rawIcon property to /mc/ping use query \&icon=true\
\- Fixed /mc/ping not working on certain servers and versions and improved performance.

`12/1/2023:` Updated the C# lib (fluxpoint-sharp) to v3.0.0 with latest changes.

`8/1/2023:` A few sanity checks and nice changes \
\- Added better json body checks for image gen and templates\
\- Added a special achievement to /me with britishAchievement: false (Hint error codes)\
\- Added better error messages and specific error codes for a few endpoints\
\- Added image gen support for query parameter ?output=png which will override the body output response.\
\- Added an updates javascript lib for the API for developers to use

`4/1/2023:` More fixes :D\
\- Fixed old docs link in endpoint 404 response\
\- Fixed /list/templates not returning a list\
\- Added fallback with endpoints that plural endpoints such as /list/banners with alt /list/banner\
\- Added POST support for /convert/html-markdown and /convert/markdown-html for http clients that don't support body content with GET

`1/1/2023:` Done some fixes and changes to the API\
\- Fixed old endpoints like /me using status instead of success\
\- Removed useless data from /me and changes response for uppercase to lowercase properties\
\- Update /mc/ping server motd/description trim whitespaces at start and end\
\- Fixed /gen/html not working

`7/12/2022:` Added new endpoints\
\- Added /dadjoke\
\- 2 new gallery endpoints\
\- Fixed some image gen and templates failing with invalid colors and default to transparent

`30/11/2022:` Added a way to purchase API access and gift it to other users.

`17/7/2022:` Added 2 new endpoints.\
\- /convert/html-markdown\
\- /convert/markdown-html

`17/7/2022:` Added new color info endpoints.\
\- /color/random\
\- /color/info (Accepts ?name=white, ?hex=#ffffff or ?rgb=0,0,0)

`29/5/2022:` Quality of life changes and fixes.\
\- Unknown endpoints will now show 404 instead of 200 home response.\
\- Added warning hints for api.fluxpoint.dev/sfw /nsfw to use gallery.fluxpoint.dev instead.\
\- Added new /mc/ping endpoint that allows you to ping minecraft servers with data.

`25/5/2022:` Updated image generation.\
\- Added proper error messages to say which parameter failed.\
\- Added a few checks/limits to parameters such as width/height/rgb\
\- Base image does not need width/height when using a image url\
\- Triangle cut now accepts 0,1,2,3\
\- Text align now accepts 0, 1, 2


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fluxpoint.dev/api/changelogs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
